API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/onboarding/complete" \ -H "Content-Type: application/json" \ -d '{ "business_outcome": "book_calls", "website_url": "string", "social_profiles": [ { "platform": "linkedin", "value": "string" } ], "brand_name": "string", "tagline": "string", "audience": "string", "offer": "string", "conversion_goal": "string", "tone": "string", "color_palette": [ "string" ], "logo_candidates": [ { "url": "string", "label": "ogImage" } ], "suggested_safe_words": [ "string" ], "workspace_description": "string", "platforms": [ "string" ], "save_workspace_icon": true }'{ "success": true, "workspace_config": null, "perk_granted": true, "profile": { "id": "string", "business_outcome": "book_calls", "website_url": "string", "brand_name": "string", "tagline": "string", "audience": "string", "offer": "string", "conversion_goal": "string", "tone": "string", "messaging": { "property1": null, "property2": null }, "color_palette": [ "string" ], "logo_candidates": [ { "url": "string", "label": "ogImage" } ], "suggested_safe_words": [ "string" ], "social_profiles": [ { "platform": "linkedin", "value": "string" } ], "status": "string", "last_scanned_at": "string", "updated_at": "string" }, "next_actions": [ { "method": "GET", "path": "string", "reason": "string" } ]}